Subject: Re: [devuan-dev] bug#880: libnet-imap-simple-ssl-perl: IMAP SSL connection not possible

From: Mark Hindley <[email-masked]>
Date: Tue, 18 Mar 2025 16:58:50 +0000

Markus,

On Tue, Mar 18, 2025 at 05:02:38PM +0100, markus schnalke wrote:
> Package: libnet-imap-simple-ssl-perl

This is not a forked package (none of perl is) so I would be astonished if this
is Devuan specific.

> Version: 1.3-5
> Severity: normal
> 
> Hoi.
> 
> I am unable to establish a connection with IMAP servers:
> 
> 	:-F cat /tmp/imap-connect-test.pl                   
> 	#!/usr/bin/perl
> 	 
> 	use Net::IMAP::Simple::SSL; 
> 	 
> 	Net::IMAP::Simple::SSL->new("imap.gmx.net:993", ssl_version=>"TLSv1") 
> 		or die("cannot connect to server\n");

For me, specifying TLSv1_2 or TLSv1_3 works. I suspect the server doesn't accept TLSv1.
 
> However, with Openssl I can:
> 
> 	:-F openssl s_client -quiet -connect imap.gmx.net:993

This is comparing different protocols.

If you do

  openssl s_client -quiet -connect imap.gmx.net:993 -tls1

you will get a protocol error which matches the perl TLSv1 error above.

Mark